Psp2-1 Some PSP games check to see if the PSP has the latest firmware, since we don’t want to update to 2.0 and lose the ability to run games and applications we make, here’s a tool that does a tricksie on the PSP game- This is described as the First Firmware Trick for Games that need Firmware 1.52 to run on your PSP and Cant Run UPDATER 1.52 or 2.0. The System thinks it’s a PSP v1.52 ,v1.0 ,v2.0 even if its a v1.5 or 1.0. Link.